%define		_zathura_api_ver	%(pkg-config --variable=apiversion zathura 2> /dev/null || echo -1)
%define		_zathura_abi_ver	%(pkg-config --variable=abiversion zathura 2> /dev/null || echo -1)

Summary:	mupdf based PDF plugin for zathura
Summary(pl.UTF-8):	Wtyczka PDF dla zathury oparta na silniku mupdf
Name:		zathura-pdf-mupdf
Version:	0.4.4
Release:	3
License:	BSD-like
Group:		Applications/Publishing
Source0:	https://pwmt.org/projects/zathura-pdf-mupdf/download/%{name}-%{version}.tar.xz
# Source0-md5:	f9fe42196f621833a0b57025bd88a119
Patch0:		mupdf_1.18.patch
URL:		https://pwmt.org/projects/zathura-pdf-mupdf/
BuildRequires:	cairo-devel
# C17
BuildRequires:	gcc >= 6:8.1.0
BuildRequires:	girara-devel >= 0.2.3
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk+3-devel >= 3.2
BuildRequires:	gumbo-parser-devel
BuildRequires:	meson >= 0.61
BuildRequires:	mupdf-devel >= 1.24.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zathura-devel >= 0.5.2
Requires(post,postun):	desktop-file-utils
Requires:	girara >= 0.2.3
%requires_eq_to	mupdf-libs mupdf-devel
Requires:	zathura >= 0.5.2
Requires:	zathura(plugin-abi) = %_zathura_abi_ver
Requires:	zathura(plugin-api) = %_zathura_api_ver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The zathura-pdf-mupdf plugin adds PDF support to zathura by using the
mupdf rendering engine.

%description -l pl.UTF-8
Wtyczka zathura-pdf-mupdf dodaje do zathury obsługę PDF z
wykorzystaniem silnika renderującego mupdf.

%prep
%setup -q
%patch0 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.md
%attr(755,root,root) %{_libdir}/zathura/libpdf-mupdf.so
%{_datadir}/metainfo/org.pwmt.zathura-pdf-mupdf.metainfo.xml
%{_desktopdir}/org.pwmt.zathura-pdf-mupdf.desktop
%changelog
* Sat Dec 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zathura-pdf-mupdf.git;a=log;h=master

* Sat Dec 07 2024 Jan Palus <atler@pld-linux.org> 4dd358f
- mupdf 1.25.1 rebuild

* Thu Oct 24 2024 Jan Palus <atler@pld-linux.org> 27b6744
- mupdf 1.24.10 rebuild

* Tue Aug 13 2024 Jan Palus <atler@pld-linux.org> 47e08e2
- failsafe api/abi query

* Sun Aug 04 2024 Jan Palus <atler@pld-linux.org> 262c10e
- strict plugin api/abi R:

* Sun Aug 04 2024 Jan Palus <atler@pld-linux.org> 06952fe
- up to 0.4.4

* Wed Jun 05 2024 Jan Palus <atler@pld-linux.org> dc49a5f
- up to 0.4.3

* Thu May 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 4596dc3
- release 2 (mupdf 1.24.2)

* Thu May 16 2024 Jan Palus <atler@pld-linux.org> 53e0537
- up to 0.4.2

* Sat May 11 2024 Jan Palus <atler@pld-linux.org> 98ea783
- girara 0.4.4 rebuild

* Wed Feb 07 2024 Jan Palus <atler@pld-linux.org> 4fc6a27
- mupdf 1.23.10 rebuild

* Sun Dec 10 2023 Jan Palus <atler@pld-linux.org> e39778f
- zathura 0.5.3 rebuild

* Fri Dec 01 2023 Jan Palus <atler@pld-linux.org> 739d987
- mupdf 1.23.7 rebuild

* Thu Nov 16 2023 Jan Palus <atler@pld-linux.org> 1c9fc69
- mupdf 1.23.6 rebuild

* Thu Sep 14 2023 Jan Palus <atler@pld-linux.org> a168535
- up to 0.4.1

* Thu Aug 31 2023 Jan Palus <atler@pld-linux.org> e428422
- mupdf 1.23.1 rebuild

* Sun Aug 27 2023 Jan Palus <atler@pld-linux.org> e75c26a
- mupdf 1.23.0 rebuild

* Sat Jun 17 2023 Jan Palus <atler@pld-linux.org> 3607c91
- mupdf rebuild

* Fri May 12 2023 Jan Palus <atler@pld-linux.org> c60b012
- mupdf rebuild

* Tue Apr 18 2023 Jan Palus <atler@pld-linux.org> 8f41673
- mupdf rebuild

* Sat Dec 17 2022 Jan Palus <atler@pld-linux.org> 1fc90d9
- mupdf rebuild

